Package com.collibra.dgc.importer.api.request

# Class ImportCsvInJobRequest

Object
BaseImportRequest
FileImportRequest
ImportCsvInJobRequest

All Implemented Interfaces:
  `Serializable`

public class ImportCsvInJobRequest extends FileImportRequest
The request defining import call properties from a CSV file.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ImportCsvInJobRequest.ImportCsvInJobRequestBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final Character`
  `DEFAULT_ESCAPE`
  `protected static final Character`
  `DEFAULT_QUOTE`
  `protected static final Character`
  `DEFAULT_SEPARATOR`
  `protected @NotNull Character`
  `escape`
  The delimiter character used to escape separator or quote character.
  `protected boolean`
  `headerRow`
  Whether the first row of the imported CSV file is the header.
  `protected boolean`
  `ignoreLeadingWhitespace`
  Whether whitespace characters before quotes should be ignored.
  `protected @NotNull Character`
  `quote`
  The delimiter character used for quoted entries.
  `protected @NotNull Character`
  `separator`
  The delimiter character used to separate entries.
  `protected boolean`
  `strictQuotes`
  Whether the characters outside quotes should be ignored.
  `protected @NotBlank String`
  `template`
  The template that should be used for parsing and importing the contents of the CSV file.

  ### Fields inherited from class FileImportRequest

  `attributesAction, continueOnError, continueOnErrorRaw, deleteFile, file, fileId, fileName, relationsAction`

  ### Fields inherited from class BaseImportRequest

  `batchSize, DEFAULT_BATCH_SIZE, requestSource, saveResult, sendNotification, simulation`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImportCsvInJobRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ImportCsvInJobRequest.ImportCsvInJobRequestBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `Character`
  `getEscape()`
  The delimiter character used to escape separator or quote character.
  `Character`
  `getQuote()`
  The delimiter character used for quoted entries.
  `Character`
  `getSeparator()`
  The delimiter character used to separate entries.
  `String`
  `getTemplate()`
  The template that should be used for parsing and importing the contents of the CSV file.
  `int`
  `hashCode()`
  `boolean`
  `isHeaderRow()`
  Whether the first row of the imported CSV file is the header.
  `boolean`
  `isIgnoreLeadingWhitespace()`
  Whether whitespace characters before quotes should be ignored.
  `boolean`
  `isStrictQuotes()`
  Whether the characters outside quotes should be ignored.
  `String`
  `toString()`

  ### Methods inherited from class FileImportRequest

  `getAttributesAction, getContinueOnErrorRaw, getFile, getFileId, getFileName, getRelationsAction, isContinueOnError, isDeleteFile, setAttributesAction, setContinueOnError, setDeleteFile, setFile, setFileId, setFileName, setRelationsAction`

  ### Methods inherited from class BaseImportRequest

  `getBatchSize, getRequestSource, isSaveResult, isSendNotification, isSimulation, setBatchSize, setRequestSource, setSaveResult, setSendNotification, setSimulation`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_SEPARATOR

    protected static final Character DEFAULT_SEPARATOR

  - ### DEFAULT_QUOTE

    protected static final Character DEFAULT_QUOTE

  - ### DEFAULT_ESCAPE

    protected static final Character DEFAULT_ESCAPE

  - ### separator

    @NotNull @DefaultValue(";") protected @NotNull Character separator
    The delimiter character used to separate entries. The default value is `';'`.

  - ### quote

    @NotNull @DefaultValue("\"") protected @NotNull Character quote
    The delimiter character used for quoted entries. The default value is `'"'`.

  - ### escape

    @NotNull @DefaultValue("\\") protected @NotNull Character escape
    The delimiter character used to escape separator or quote character. The default value is `'\\'`.

  - ### strictQuotes

    @DefaultValue("false") protected boolean strictQuotes
    Whether the characters outside quotes should be ignored. The default value is `false`.

  - ### ignoreLeadingWhitespace

    @DefaultValue("false") protected boolean ignoreLeadingWhitespace
    Whether whitespace characters before quotes should be ignored. The default value is `false`.

  - ### headerRow

    @DefaultValue("false") protected boolean headerRow
    Whether the first row of the imported CSV file is the header. The default value is `false`.

  - ### template

    @NotBlank protected @NotBlank String template
    The template that should be used for parsing and importing the contents of the CSV file.

    There is one placeholder currently supported:

    - ${x} - refers to the x-th column in the CSV file, e.g. ${1}, ${2}, ...)

    Example of a correct JSON template:

         [
           {
             "identifier": {
               "name": "${1}",
               "domain": {
                 "name": "${2}",
                 "community": {
                   "name": "Some Community"
                 }
               }
             },
             "attributes" : {
                "00000000-0000-0000-0000-000000003115" : [ {
                  "value" : "${3}"
                } ],
                "00000000-0000-0000-0000-000000000222" : [ {
                  "value" : "${4}"
                } ]
             },
             "resourceType": "Asset"
           }
         ]

- ## Constructor Details

  - ### ImportCsvInJobRequest

    public ImportCsvInJobRequest()

- ## Method Details

  - ### builder

    public static ImportCsvInJobRequest.ImportCsvInJobRequestBuilder builder()

  - ### getSeparator

    public Character getSeparator()
    The delimiter character used to separate entries. The default value is `';'`.

  - ### getQuote

    public Character getQuote()
    The delimiter character used for quoted entries. The default value is `'"'`.

  - ### getEscape

    public Character getEscape()
    The delimiter character used to escape separator or quote character. The default value is `'\\'`.

  - ### isStrictQuotes

    public boolean isStrictQuotes()
    Whether the characters outside quotes should be ignored. The default value is `false`.

  - ### isIgnoreLeadingWhitespace

    public boolean isIgnoreLeadingWhitespace()
    Whether whitespace characters before quotes should be ignored. The default value is `false`.

  - ### isHeaderRow

    public boolean isHeaderRow()
    Whether the first row of the imported CSV file is the header. The default value is `false`.

  - ### getTemplate

    public String getTemplate()
    The template that should be used for parsing and importing the contents of the CSV file.

    There is one placeholder currently supported:

    - ${x} - refers to the x-th column in the CSV file, e.g. ${1}, ${2}, ...)

    Example of a correct JSON template:

         [
           {
             "identifier": {
               "name": "${1}",
               "domain": {
                 "name": "${2}",
                 "community": {
                   "name": "Some Community"
                 }
               }
             },
             "attributes" : {
                "00000000-0000-0000-0000-000000003115" : [ {
                  "value" : "${3}"
                } ],
                "00000000-0000-0000-0000-000000000222" : [ {
                  "value" : "${4}"
                } ]
             },
             "resourceType": "Asset"
           }
         ]

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `FileImportRequest`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `FileImportRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `FileImportRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `FileImportRequest`